Getting Started:

ImageSort
Version 1.08

A simple utility to organize your pictures, video, and audio files into user predefined groups and areas. It's the fastest way to move thousands of files with a single mouse click. ImageSort supports many image, video and audio formats. It's designed to use the mouse exclusively. You can sort thousand of files in a very short amount of time using only the mouse. Duplicate file checking feature ensured you do not over write any of your existing files. If a duplicate file is found the User is given many options as to how to proceed.

The following file formats are currently supported:

Image:

BMP, ICO, CUR, RLE, WMF, EMF, GIF, JPEG, JPG

Video:

ASF, ASX, WM, AVI, MPEG, MPG, MPE, M1V, MP2, MP2V, MPA, MPV2, IVF, MOV, QT

Audio:

WMA, WAX, WMV, WVX, WAV, MP3, M3U, MID, MIDI, RMI, AIF, AIFC, AIFF, AU, SND

Email: rosebug777@hotmail.com

Home Page: http://members.home.net/rosebug

What’s New:

1) Add Feature to scan for corrupt image files. See “Scan” below for detail.

2) Now able to play video and audio files

Getting Started:

1) Create a folder on your hard drive

2) Unzip the files into the folder

3) Run setup.exe

4) Launch application

5) Edit CATLIST.TXT. See “Editing CATLIST.TXT” below for description

Editing CATLIST.TXT:

Press the EDIT button will open the editing dialog box. In this dialog box you will be able to Add, Delete, and Update (rename) your Group and Area names as well as the destination folder paths.

Cancel button will discard all changes you have made during this editing session.

OK button will save all changes to the CATLIST.TXT file

Main window will reload the changed list, if changes where made and saved.

Main Window Descriptions:

Usage:

To move file(s)

1) Go to the directory where your unsorted files are

2) Highlight one or more files in the file list

3) Left mouse click on the destination name to move the selected files to that location.

To view a file

1) Left mouse click on the file you wish to view

Destination-List window

Mouse Buttons | Description
Left mouse click | Move selected file(s) to destination folder
Right mouse click | Advanced to the next file in the list. If “Right Click Delete” is checked, selected file(s) will be deleted and than advance to the next file.
Mid mouse click | Same as the “Undo Move(s)” button.

File-List window

Mouse Buttons | Description
Left mouse click | Show the selected picture
Right mouse click | Select all files that are above the selected file (selected file included)
Mid mouse click | Deletes all selected files, just like pressing the Delete button
Keyboard Keys |
Delete | Delete selected files
Character & Numbers | Jump to the file that start with that character
UP/Down Arrow | Move selection

Main Window Controls

Description

Check Duplicate Files

When checked, a dialog pops up when a duplicate image is found. Unchecked, simply overwrite the destination file without asking the User

Right Click Delete

When checked, right mouse click on destination-list window delete the selected file(s). Just like pressing the "Delete" button. Unchecked, advance to the next file

Delete

Delete the selected file(s)

Rename

Rename the selected file

Auto Ren

Auto Rename: Batch rename of all selected files. If duplicate file is encounter file will NOT be rename.

Edit

Open editing dialog to add/delete/update (rename) groups, areas, and destination paths

Un Moves

Undo last move(s). Will undo last 25 moves, each move remembers up to 500 files

Refresh File List

Left mouse click on the number showing the file count.

Move Here

Move selected file(s) to the selected folder on the “Dir” tab

Scan

* (see usage instruction below)

Scan all of the file(s) listed in the file window for corrupt images. The corrupt image file is move to the destination folder. The “Un Move” functionality does NOT apply here. You will not be able to undo this move.

* Currently only the following file types are supported. All other file types are ignored. JPG, GIF

How to use “Scan”:

1) Go to the folder where the files you want scan. All files will be listed in the file list window. Unless you are using filters. Adjust the filter to the desire file type or leave it as “*.*”.

2) On the “Dir” tap select the folder where you want the corrupt files to be move to.

3) Press the “Scan” button to begin scanning. Once the process start you can not stop it until it finish.

How corrupt image detection works:

The method I use gives a fairly reliable way to detect corrupt image file, but it’s not perfect. Some bad files will slip through. You will also find that some of the files that have been determined to be corrupt could possibly be still viewable in other image viewers. This is because other image viewers choose to ignore error bits and continue to displace the rest of the image.

Every image has termination markers at the end of the file. The detection feature in my app check for the correct markers. If the markers do not match what we expect them to be, that image is considered corrupt.

Duplicate Dialog Box Description:

File always flow from "New" to "Old" or in other words from source folder to the destination folder.

Buttons | Description
Repl. All if >= | Replace all duplicate files that are: New >= Old (bytes)
Replace All | Replace all duplicate files
Replace Old | Replace the current duplicate file only
Rename New File | Rename "New" file
Skip It | Leave the current duplicate file alone and check the next one
Skip All Dup | Leave all duplicate files where they are, move only the non-duplicate files
Cancel | Cancel out of the current duplicate check

Auto Rename Dialog Box Description:

This feature allows you to rename multiple files at once. It is very useful when you have multiple files with similar names. Select the file or files you want to rename. Characters can be appended to the front (Prefix) and/or back (Suffix) of the file name (this does not change the extension). To change the extension, enter characters into the Extension field (no “.” character this will be put in automatically), else leave it blank. To removing character pattern from the filename and extension, simply enter the character pattern to be removed, else leave field blank

For example:

Original File Name: picture.jpg

Remove Characters

You want to remove: ture

Append Characters

You add Prefix: Test_

And Suffix: _123

And Extension: <BLANK>

The Resulting file name: Test_pic_123.jpg

Note:

1) If you don’t want to add or remove character(s) to your file simply leave the field(s) blank. In other words, if you do not want to change that part of the file name leave it blank and the original will be preserve. Be careful, space character(s) are treated like any other character. Make sure the field is truly blank.

2) One of the selected files will be shown in a text box near the bottom of the dialog box. This is for your convenience to copy the desire character pattern into the clipboard.

3) If a duplicate file name is encounter, the original file will not be rename. No other message will appear. If a file does not rename it means another file already has the same name.

Known Limitations:

1) Image does not keep aspect ratio when min/restore application

2) CATLIST.TXT file must be in the same folder as the exe or app will exception

3) You can have up to 500 groups, within each group you can have up to 500 areas.

Disclaimer:

Limited supports, No warranty given or implied, use at your own risk. This software comes as is. If you find this software useful I encourage you to register it. Registration is $10 USD. Email me for a mailing address. In return I will provide you with full technical support. I also welcome all feedback, good and bad.